DataStoreFactory (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssaha.DataStoreFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Interface DataStoreFactory

All Known Implementing Classes:
  CompactedDataStoreFactory, MappedDataStoreFactory, NIODataStoreFactory

    public interface DataStoreFactory

Builder for a data store.

Author:
  Matthew Pocock

Method Summary
`DataStore` | `buildDataStore(File storeFile, SequenceDB seqDB, Packing packing, int wordLength, int threshold)` Build a new DataStore.
`DataStore` | `getDataStore(File storeFile)` Get a pre-built data store associated with a file.

Method Detail

### getDataStore

    DataStore getDataStore(File storeFile)
                           throws IOException

  Get a pre-built data store associated with a file.

  Parameters:
    `storeFile` - the File to map in as a data store
  Returns:
    the DataStore made by mapping the file
  Throws:
    `IOException` - if the file could not be mapped

### buildDataStore

    DataStore buildDataStore(File storeFile,
                             SequenceDB seqDB,
                             Packing packing,
                             int wordLength,
                             int threshold)
                             throws IllegalAlphabetException,
                                    IOException,
                                    BioException

  Build a new DataStore.

  Parameters:
    `storeFile` - the file to store the data store
    `seqDB` - the SequenceDB to store in the data store
    `packing` - the Packing used to bit-encode the sequences
    `wordLength` - the number of symbols per word
    `threshold` - the number of times a word must appear to be ignored
  Throws:
    `IllegalAlphabetException` - if the packing does not agree with the sequences
    `BioException` - if there is a problem building the data store
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD